//
//  MAAnno.h
//  Medianno
//
//  Created by Matthias Neeracher on 8/10/11.
//  Copyright (c) 2011 Matthias Neeracher. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>
#import <QTKit/QTKit.h>

@class MATag;
@class MAMedia;
@class MADocument;

@interface MAAnno : NSManagedObject {
@private
}
@property (nonatomic, retain) NSString * location;
@property (nonatomic, retain) NSString * notes;
@property (nonatomic, retain) NSSet *tags;
@property (nonatomic, retain) NSManagedObject *media;

- (QTTime)qtLocation;
- (NSString *)exportText;
- (MAAnno *)copyToDocument:(MADocument *)doc withMedia:(MAMedia *)media;

/*
 * Tags are never manipulated through the tag objects, but always through
 * tag description objects.
 */
- (NSArray *)tagDescriptions;
- (void)setTagDescriptions:(NSArray *)tagDescriptions;
+ (NSSet *)keyPathsForValuesAffectingTagDescriptions;

@end

@interface MAAnno (CoreDataGeneratedAccessors)

- (void)addTagsObject:(MATag *)value;
- (void)removeTagsObject:(MATag *)value;
- (void)addTags:(NSSet *)values;
- (void)removeTags:(NSSet *)values;
@end
