//
//  MADocWindow.h
//  Medianno
//
//  Created by Matthias Neeracher on 8/10/11.
//  Copyright 2011 Matthias Neeracher. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QTKit/QTKit.h>

@class MAMovieWindow;
@class MAMedia;

@interface MADocWindow : NSWindowController 
        <NSWindowDelegate,NSTokenFieldCellDelegate,NSTableViewDelegate,NSTableViewDataSource> 
{
    IBOutlet NSArrayController*     mediaController;
    IBOutlet NSArrayController*     annotationController;
    IBOutlet QTMovieView *          movieView;
    IBOutlet NSTableView *          mediaTable;
    IBOutlet NSTableView *          annotationTable;
    IBOutlet NSView *               textExportAccessoryView;
    QTMovie *                       currentMovie;
    NSString *                      currentMovieTitle;
    QTTime                          lastMovieTime;
}

@property                   BOOL        exportAnnotations;
@property                   BOOL        exportTags;
@property (nonatomic,retain)NSString *  searchString;

- (IBAction)addMediaFiles:(id)sender;
- (IBAction)importText:(id)sender;
- (IBAction)exportMedia:(id)sender;
- (IBAction)exportText:(id)sender;
- (void)addMedia:(NSArray *)urls;
- (IBAction)addAnnotation:(id)sender;
- (IBAction)mediaSkipBackward:(id)sender;
- (IBAction)mediaSkipForward:(id)sender;
- (IBAction)toggleMediaPlay:(id)sender;
- (IBAction)delete:(id)sender;
- (QTTime)currentMovieTime;
- (void)moviePanelDidAppear;
- (void)moviePanelDidClose;
- (MAMedia *)currentMedia;

@end

@interface MADocumentWindow : NSWindow 

@end
