//
//  MADocument.h
//  Medianno
//
//  Created by Matthias Neeracher on 8/10/11.
//  Copyright 2011 Matthias Neeracher. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QTKit/QTKit.h>

@class MAMedia;
@class MATagDescription;
@class MAAnno;

@interface MADocument : NSPersistentDocument {
    NSFileWrapper * mediaWrapper;
}

- (MAMedia *)addMediaURL:(NSURL *)url name:(NSString *)name date:(NSDate *)date;
- (MAAnno *)addAnnotationForMedia:(MAMedia *)media location:(QTTime)location;
- (MATagDescription *)tagDescriptionForName:(NSString *)name;
- (MATagDescription *)tagDescriptionForName:(NSString *)name notes:(NSString *)notes;
- (NSArray *)tagNamesMatchingPrefix:(NSString *)prefix;
- (NSSet *)allTags;
- (NSArray *)tagDescriptionsMatching:(NSString *)substring;

@end
