//
//  MAMedia.m
//  Medianno
//
//  Created by Matthias Neeracher on 8/10/11.
//  Copyright (c) 2011 Matthias Neeracher. All rights reserved.
//

#import "MAMedia.h"
#import "MAAnno.h"
#import "MADocument.h"

@implementation MAMedia
@dynamic media;
@dynamic name;
@dynamic date;
@dynamic notes;
@dynamic annotations;
@dynamic size;

- (MAMedia *)copyToDocument:(MADocument *)doc withMedia:(MAMedia *)m
{
    MAMedia * media = [doc addMediaURL:[NSURL URLWithString:self.media] 
                                  name:self.name 
                                  date:[NSDate dateWithTimeIntervalSinceReferenceDate:self.date]];
    media.notes     = self.notes;
    for (MAAnno * anno in self.annotations)
        [media addAnnotationsObject:[anno copyToDocument:doc withMedia:media]];
    return media;
}

@end
