//
//  MAShortenQTTime.mm
//  Medianno
//
//  Created by Matthias Neeracher on 8/15/11.
//  Copyright 2011 Matthias Neeracher. All rights reserved.
//

#import "MAShortenQTTime.h"
#import <QTKit/QTKit.h>

@implementation MAShortenQTTime

+ (Class)transformedValueClass 
{ 
    return [NSString class]; 
}

+ (BOOL)allowsReverseTransformation
{ 
    return NO; 
}

- (id)transformedValue:(id)value {
    NSString * fullTime = [value isKindOfClass:[NSString class]] ? value : QTStringFromTime([value QTTimeValue]);
    NSRange rangeToUse  = {0,0};
    //
    // Trim leading zeros, up to a point
    //
    while (rangeToUse.location < 6) {
        switch ([fullTime characterAtIndex:rangeToUse.location]) {
            case '0':
            case ':':
                ++rangeToUse.location;
                continue;
        }
        break;
    }
    //
    // Trim fractions of seconds
    //
    for (rangeToUse.length = [fullTime length]-rangeToUse.location; rangeToUse.length-- > 0; )
        if ([fullTime characterAtIndex:rangeToUse.location+rangeToUse.length] == '.')
            break;
    if (!rangeToUse.length)
        rangeToUse.length = [fullTime length]-rangeToUse.location;
    
    return [fullTime substringWithRange:rangeToUse];
}

@end
