//
//  MATagDescription.m
//  Medianno
//
//  Created by Matthias Neeracher on 8/10/11.
//  Copyright (c) 2011 Matthias Neeracher. All rights reserved.
//

#import "MATagDescription.h"
#import "MATag.h"
#import "MADocument.h"

@implementation MATagDescription
@dynamic name;
@dynamic notes;
@dynamic uses;

- (NSString *)exportText
{
    return [NSString stringWithFormat:@"%@\t%@", self.name, self.notes];
}

- (void)setName:(NSString *)name
{
    [self willChangeValueForKey:@"name"];
    for (MATag * tag in self.uses)
        [tag.annotation willChangeValueForKey:@"tags"];
    [self setPrimitiveValue:name forKey:@"name"];
    for (MATag * tag in self.uses)
        [tag.annotation didChangeValueForKey:@"tags"];
    [self didChangeValueForKey:@"name"];
}

- (MATagDescription *)copyToDocument:(MADocument *)doc withMedia:(id)media
{
    return [doc tagDescriptionForName:self.name notes:self.notes];
}

@end
