//
//  MATagWindow.mm
//  Medianno
//
//  Created by Matthias Neeracher on 8/20/11.
//  Copyright 2011 Matthias Neeracher. All rights reserved.
//

#import "MATagWindow.h"
#import "MADragging.h"

@implementation MATagWindow

@synthesize currentDocument;

- (id)init
{
    self = [super initWithWindowNibName:@"MATag"];
    
    return self;
}

- (void)windowDidLoad
{
    [super windowDidLoad];
    [self registerOurDragTypes];
}

- (IBAction)toggleWindow:(id)sender
{
    if ([self isWindowLoaded] && [[self window] isVisible]) {
        [self close];
    } else {
        [[self window] orderFront:sender];
    }
}

- (IBAction)delete:(id)sender
{
    [tagController remove:sender];
}

- (BOOL)validateUserInterfaceItem:(id <NSValidatedUserInterfaceItem>)item
{
    if ([item action] == @selector(toggleWindow:))
        return YES;
    
    if (![self isWindowLoaded] || ![[self window] isVisible])
        return NO;
    
    if ([item action] == @selector(delete:) || [item action] == @selector(cut:) || [item action] == @selector(copy:))
        return [tagController selectionIndex] != NSNotFound;
    
    return NO;
}

@end
